<div class="desktop-icon" cdkDrag (cdkDragStarted)="setSelected.emit(this);dragging=true"
     [cdkDragDisabled]="notDraggable"
     (dblclick)="icon.doubleClick()"
     (cdkDragEnded)="dragging=false"
     (click)="setSelected.emit(this)"
     [ngClass]="{'grab':dragging,'selected':icon.selected}">
  <img src="{{icon.imgSrc}}"/>
  <div [ngClass]="{'black-text':blackText}">{{icon.text}}</div>
</div>
